/**
 * Program: IntegralComp.java
 * Comments: A custom component that contains the integral font.
 */

import java.awt.*;
import javax.swing.*;
import houseblend.*;

public class IntegralComp extends JComponent {
    HersheyFont mathupp;

    public IntegralComp() {
	this.setLayout(new BorderLayout());
	mathupp=new HersheyFont("HersheyFont/mathupp.jhf");
    }
    
    public void paintComponent(Graphics g){
	g.setColor(Color.black);
	mathupp.setHeight(.8f);
	mathupp.setWidth(.8f);
	mathupp.setVerticalAlignment(HersheyFont.VERTICAL_TOP);
	mathupp.setHorizontalAlignment(HersheyFont.HORIZONTAL_CENTER);
	mathupp.drawString(line,250,0,g);
    }
}
