/*****************************************************************************/
//
//  Copyright (c) James P. Buzbee 1996
//  House Blend Software
//
//  jbuzbee@nyx.net
//
// Permission to use, copy, modify, and distribute this software
// for any use is hereby granted provided
// this notice is kept intact within the source file
//
/***************************************************************************/
import java.awt.*;
import java.awt.Graphics;
import java.applet.Applet;
import java.awt.Image;
import java.awt.event.*;
import java.io.*;
import houseblend.*;
import javax.swing.*;
import javax.swing.event.*;
/***************************************************************************/

public class mytest extends JFrame {
    public mytest() {

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    System.exit(0);
		}
	});

	testPanel tp=new testPanel();
	tp.setLayout(new BorderLayout());
	this.getContentPane().add("Center",tp);
	this.setSize(600,600);
	this.show();
    }
    public static void main(String[] args) {
	new mytest();
    }
}

class testPanel extends JPanel {
    HersheyFont mathupp;
    
    public testPanel()
    {
	mathupp=new HersheyFont("mathlow.jhf");
    }

    public boolean isFocusTraversable(){
	return true;
    }

    public void paint(Graphics g)
    {
	String line="p";
	g.setColor(Color.white );
	g.fillRect(0,0,this.getWidth(),this.getHeight());
	g.setColor(Color.black);
	mathupp.setHeight(.8f);
	mathupp.setWidth(.8f);
	mathupp.setVerticalAlignment( HersheyFont.VERTICAL_TOP );
	mathupp.setHorizontalAlignment( HersheyFont.HORIZONTAL_CENTER );
	mathupp.drawString(line,50,100,g);

	mathupp.setVerticalAlignment( HersheyFont.VERTICAL_NORMAL);
	mathupp.setHorizontalAlignment( HersheyFont.HORIZONTAL_CENTER );
	mathupp.drawString(line,100,100,g);

	mathupp.setVerticalAlignment( HersheyFont.VERTICAL_HALF);
	mathupp.setHorizontalAlignment( HersheyFont.HORIZONTAL_CENTER );
	mathupp.drawString(line,150,100,g);

	mathupp.setVerticalAlignment( HersheyFont.VERTICAL_CAP);
	mathupp.setHorizontalAlignment( HersheyFont.HORIZONTAL_CENTER );
	mathupp.drawString(line,200,100,g);
    }
}




