/**
 * To go back to the previous document
 */

//package org.apache.batik.apps.svgviewer;

import org.apache.batik.util.gui.resource.JComponentModifier;
//import org.apache.batik.apps.svgviewer.ViewerFrame;

import javax.swing.AbstractAction;
import javax.swing.JComponent;

import java.awt.event.ActionEvent;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class BackAction extends    AbstractAction
    implements JComponentModifier {

    protected int loadedDocument;
    protected List loadedDocuments;
    ViewerFrame vf;
    java.util.List components = new LinkedList();
    public BackAction() {}

    public BackAction(ViewerFrame vf) {
	this.vf=vf;
	loadedDocument=vf.getLoadedDocument();
	loadedDocuments=vf.getLoadedDocumentList();
    }

    public void actionPerformed(ActionEvent e) {
	loadedDocument-=2;
	vf.loadDocument((String)loadedDocuments.get(loadedDocument+1));
    }
    
    public void addJComponent(JComponent c) {
	components.add(c);
	c.setEnabled(false);
    }

    protected void update() {
	boolean b = loadedDocument > 0;
	Iterator it = components.iterator();
	while (it.hasNext()) {
	    ((JComponent)it.next()).setEnabled(b);
	}
    }
}
