/**
 * To show the language dialog.
 */

//package org.apache.batik.apps.svgviewer;

import javax.swing.AbstractAction;
import java.awt.Rectangle;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import org.apache.batik.util.gui.LanguageDialog;
//import org.apache.batik.apps.svgviewer.ViewerFrame;

public class LanguageAction extends AbstractAction {
    ViewerFrame vf;
    LanguageDialog languageDialog;
    String userLanguages;

    public LanguageAction() {}

    public LanguageAction(ViewerFrame vf){
	this.vf=vf;
	languageDialog=vf.getLanguageDialog();
	userLanguages=vf.getUserLanguages();
    }
    public void actionPerformed(ActionEvent e) {
	Rectangle fr = vf.getBounds();
	Dimension ld = languageDialog.getSize();
	languageDialog.setLocation(fr.x + (fr.width  - ld.width) / 2,
				   fr.y + (fr.height - ld.height) / 2);
	languageDialog.setLanguages(userLanguages);
	languageDialog.show();
    }
}
