/**
 * To display the memory monitor.
 */

//package org.apache.batik.apps.svgviewer;

import javax.swing.AbstractAction;
import javax.swing.JFrame;
import java.awt.event.ActionEvent;

//import org.apache.batik.apps.svgviewer.ViewerFrame;
import org.apache.batik.util.gui.MemoryMonitor;

public class MonitorAction extends AbstractAction {
    
    ViewerFrame vf;
    JFrame memoryMonitor;
    
    public MonitorAction() {}

    public MonitorAction(ViewerFrame vf) {
	this.vf=vf;
	memoryMonitor=vf.getMemoryMonitor();
    }

    public void actionPerformed(ActionEvent e) {
	if (memoryMonitor == null) {
	    memoryMonitor = new MemoryMonitor();
	}
	memoryMonitor.show();
    }
}

