/**
 * To open a new document
 */

//package org.apache.batik.apps.svgviewer;

import java.awt.Rectangle;
import java.awt.Dimension;
import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
//import org.apache.batik.apps.svgviewer.ViewerFrame;
import org.apache.batik.util.gui.URIChooser;

public class OpenPageAction extends AbstractAction {

    ViewerFrame vf;
    protected URIChooser uriChooser;

    public OpenPageAction() {}

    public OpenPageAction(ViewerFrame vf) {
	this.vf=vf;
	uriChooser=vf.getURIChooser();
    }

    public void actionPerformed(ActionEvent e) {
	uriChooser.pack();
	
	Rectangle fr = vf.getBounds();
	Dimension ud = uriChooser.getSize();
	uriChooser.setLocation(fr.x + (fr.width  - ud.width) / 2,
			       fr.y + (fr.height - ud.height) / 2);
	
            uriChooser.show();
    }
}
