/**
 * To stop the current processing
 */

//package org.apache.batik.apps.svgviewer;

import org.apache.batik.util.gui.resource.JComponentModifier;
//import org.apache.batik.apps.svgviewer.ViewerFrame;
import java.util.Iterator;
import java.util.LinkedList;
import java.awt.event.ActionEvent;
import javax.swing.JComponent;
import javax.swing.AbstractAction;

public class StopAction extends    AbstractAction
    implements JComponentModifier {
    java.util.List components = new LinkedList();
    ViewerFrame vf;
    Thread thread;

    public StopAction() {}

    public StopAction(ViewerFrame vf){
	this.vf=vf;
	thread=vf.getThread();
    }

    public void actionPerformed(ActionEvent e) {
            if (thread.isAlive()) {
                thread.interrupt();
            }
            update(false);
    }
    
    public void addJComponent(JComponent c) {
	components.add(c);
	c.setEnabled(false);
    }
    
    protected void update(boolean isRunning) {
	Iterator it = components.iterator();
            while (it.hasNext()) {
                ((JComponent)it.next()).setEnabled(isRunning);
            }
    }
}
