/**
 * To manage the location bar action
 */

//package org.apache.batik.apps.svgviewer;

import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
import java.io.File;
import javax.swing.JButton;

import org.apache.batik.util.DocumentLoadRunnable;
import org.apache.batik.util.gui.LocationBar;
import org.apache.batik.dom.svg.SVGDocumentFactory;

public class TextButtonAction extends AbstractAction {
    ViewerFrame vf;
    Main main;
    JButton textButton;
    boolean isWriting;
    
    public TextButtonAction() {
    	isWriting=true;
    }

    public TextButtonAction(Main main) {
    this();
    this.main=main;
	this.vf=main.getViewerFrame();
	textButton=vf.getTextButton();
    }

    public void actionPerformed(ActionEvent e) {
    	System.out.println("TextButton pushed");
    	SVGWBText wbText=null;
    	if(isWriting) System.out.println("Writing to screen");
    	else System.out.println("Stopped writing.  Updating document");	

		//The following should be last in the method.
 	  	if(isWriting==true) {
			//Create a WhiteBoardComp object for dealing with text.  Note
			//that this is created for each set of text.
			wbText=new SVGWBText(main);	
			wbText.drawShape(main.getSVGGenerator(),1,1);	
    		isWriting=false;
    	}	
    	else {
//    		wbText.writeSVG(main.getSVGGenerator());
			isWriting=true;
		}  	 		
    }

	
}


