/**
 * To display the user style options dialog.
 */

//package org.apache.batik.apps.svgviewer;

import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
import java.awt.Rectangle;
import java.awt.Dimension;
import org.apache.batik.util.gui.UserStyleDialog;

public class UserStyleAction extends AbstractAction {
    
    ViewerFrame vf;
    UserStyleDialog userStyleDialog;
    
    public UserStyleAction(ViewerFrame vf){
	this.vf=vf;
	userStyleDialog=vf.getUserStyleDialog();
    }
    
    public void actionPerformed(ActionEvent e) {
	Rectangle fr = vf.getBounds();
	Dimension sd = userStyleDialog.getSize();
	userStyleDialog.setLocation(fr.x + (fr.width  - sd.width) / 2,
				    fr.y + (fr.height - sd.height) / 2);
	userStyleDialog.pack();
	userStyleDialog.show();
    }
}
