/**
 * To go forward to the previous document
 */

//package org.apache.batik.apps.svgviewer;

import javax.swing.AbstractAction;
import javax.swing.JComponent;

import java.util.Iterator;
import java.util.List;
import java.util.LinkedList;
import java.awt.event.ActionEvent;

import org.apache.batik.util.gui.resource.JComponentModifier;
//import org.apache.batik.apps.svgviewer.ViewerFrame;


public class ForwardAction extends    AbstractAction
    implements JComponentModifier {
    java.util.List components = new LinkedList();
    ViewerFrame vf;
    protected List loadedDocuments;
    protected int loadedDocument;
    protected int loadedDocumentsCount;

    public ForwardAction() {}
    public ForwardAction(ViewerFrame vf) {
	this.vf=vf;
	loadedDocument=vf.getLoadedDocument();
	loadedDocuments=vf.getLoadedDocumentList();
	loadedDocumentsCount=vf.getLoadedDocumentsCount();
    }	
    public void actionPerformed(ActionEvent e) {
	vf.loadDocument((String)loadedDocuments.get(loadedDocument+1));
    }
    
    public void addJComponent(JComponent c) {
	components.add(c);
	c.setEnabled(false);
    }
    
    protected void update() {
	boolean b = loadedDocument < loadedDocumentsCount - 1;
	Iterator it = components.iterator();
	while (it.hasNext()) {
	    ((JComponent)it.next()).setEnabled(b);
	}
    }
}
