/**
 * To turn progressive rendering of the offscreen buffer on and off.
 */

//package org.apache.batik.apps.svgviewer;

import javax.swing.JCheckBoxMenuItem;
import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
import org.apache.batik.refimpl.util.JSVGCanvas;
//import org.apache.batik.apps.svgviewer.ViewerFrame;

public class ProgressivePaintAction extends AbstractAction {
    ViewerFrame vf;
    boolean progressivePaintEnabled;
    JSVGCanvas canvas;

    public ProgressivePaintAction() {}

    public ProgressivePaintAction(ViewerFrame vf) {
	this.vf=vf;
	progressivePaintEnabled=vf.getProgressivePaintEnabled();
	canvas=vf.getJSVGCanvas();
    }

    public void actionPerformed(ActionEvent e) {
	progressivePaintEnabled = ((JCheckBoxMenuItem)e.getSource()).isSelected();
	canvas.setProgressiveRenderingEnabled(progressivePaintEnabled);
    }
}
