/**
 * To display the tree view of the document
 */

//package org.apache.batik.apps.svgviewer;

import java.awt.Rectangle;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.apache.batik.util.gui.DOMViewer;


public class TreeAction extends AbstractAction {
    ViewerFrame vf;
    DOMViewer domViewer;
    
    public TreeAction() {}

    public TreeAction(ViewerFrame vf){
	this.vf=vf;
	domViewer=vf.getDOMViewer();
    }

    public void actionPerformed(ActionEvent e) {
	Rectangle fr = vf.getBounds();
	Dimension td = domViewer.getSize();
	domViewer.setLocation(fr.x + (fr.width  - td.width) / 2,
			      fr.y + (fr.height - td.height) / 2);
	domViewer.show();
    }
}
