/**
 * The action associated with the 'OK' button of the URI chooser.
 */

//package org.apache.batik.apps.svgviewer;

import org.apache.batik.util.gui.URIChooser;
import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;

public class URIChooserOKAction extends AbstractAction {
    ViewerFrame vf;
    URIChooser uriChooser;

    public URIChooserOKAction() {}

    public URIChooserOKAction(ViewerFrame vf) {
	this.vf=vf;
	uriChooser=vf.getURIChooser();
    }

    public void actionPerformed(ActionEvent e) {
	vf.loadDocument(uriChooser.getText());
    }
}
